@charset "utf-8";

:root {
	--main-color: #0580b8;
	--lighten-color: #06a3ea;
	--darken-color: #045d86;
}

html,
body {
	background: #f7f8f9;
	font-family: "Roboto", sans-serif;
	font-weight: 300;
}

* {
	box-sizing: border-box;
	outline: none !important;
	resize: none !important;
	word-break: break-all;
	-moz-user-select: none;
	-ms-user-select: none;
	-webkit-user-select: none;
}

::-webkit-scrollbar {
	width: 4px;
	height: 4px;
}

::-webkit-scrollbar-button {
	width: 0px;
	height: 0px;
}

::-webkit-scrollbar-thumb {
	background: var(--main-color);
	border: 0px none #ffffff;
	border-radius: 50px;
}

::-webkit-scrollbar-thumb:hover {
	background: var(--lighten-color);
}

::-webkit-scrollbar-thumb:active {
	background: var(--lighten-color);
}

::-webkit-scrollbar-track {
	background: #ffffff;
	border: 0px none #ffffff;
	border-radius: 50px;
}

::-webkit-scrollbar-track:hover {
	background: #eee;
}

::-webkit-scrollbar-track:active {
	background: #eee;
}

::-webkit-scrollbar-corner {
	background: transparent;
}

a,
a:hover,
a:link,
a:active,
a:visited {
	text-decoration: none;
}

.container {
	position: relative;
}

.btn__quick {
	align-items: center;
	background: linear-gradient(to bottom, var(--lighten-color), var(--darken-color));
	border-radius: 50%;
	bottom: 15px;
	box-shadow: -3px 3px 15px 0 rgba(0,0,0,.1);
	color: #fff;
	display: flex;
	font-size: 26px;
	height: 58px;
	justify-content: center;
	position: fixed;
	right: 15px;
	text-align: center;
	width: 58px;
	z-index: 9;
}

.site__login {
	align-items: center;
	background: var(--lighten-color);
	box-shadow: inset -50vw 0 0 rgba(0,0,0,.05);
	display: flex;
	min-height: 100vh;
	/*padding: 15px;*/
}

.site__login .container {
	height: 100vh;
	display: flex;
}

.site__login .login__column {
	color: #fff;
	display: flex;
	flex-direction: column;
	justify-content: center;
	flex: 0 0 50%;
	padding: 120px;
}

.site__login .login__left {
	align-items: flex-end;
	box-shadow: 30px 0 30px 0 rgba(0,0,0,.05);
	text-align: right;
}

.site__login .login__logo img,
.site__login .login__logo svg {
	display: block;
	height: 45px;
	width: auto;
}

.site__login .login__logo svg * {
	fill: #fff;
}

.site__login .login__title {
	font-size: 32px;
	font-weight: 700;
	margin: 60px 0 0;
	opacity: .75;
}

.site__login .login__description {
	font-size: 15px;
	line-height: 1.8;
	margin: 15px 0 0;
	opacity: .75;
}

.site__login .login__right {
	align-items: stretch;
	text-align: left;
}

.site__login .login__form .form-group {
	margin-bottom: 25px;
	position: relative;
}

.site__login .login__form .form-group label {
	display: none;
}

.site__login .login__form .form-group .form-control {
	background: transparent;
	border: 0;
	border-bottom: 2px solid rgba(255,255,255,.35);
	border-radius: 0;
	color: #fff;
	display: block;
	padding: 18px 0;
	transition: border .3s;
	width: 100%;
}

.site__login .login__form .form-group .form-control::-webkit-input-placeholder { color: #fff; }
.site__login .login__form .form-group .form-control:-ms-input-placeholder { color: #fff; }
.site__login .login__form .form-group .form-control::placeholder { color: #fff; }

.site__login .login__form .form-group .form-control:focus,
.site__login .login__form .form-group .form-control:hover {
	border-bottom: 2px solid rgba(255,255,255,.75);
	transition: border .3s;
}

.site__login .login__form .form-group button {
	border-radius: 100px;
	padding: 0 55px;
	width: auto;
}

/* .site__login .container {
	background: #fff;
	border-radius: 4px;
	box-shadow: 0 15px 30px 0 rgba(0,0,0,.25);
	display: flex;
	height: 100vh;
	max-width: 600px;
	overflow: hidden;
	padding: 0;
}

.site__login .login__left {
	background: var(--lighten-color);
	padding: 40px;
	position: relative;
	width: 200px;
}

.site__login .login__left:before {
	background: linear-gradient(to bottom, rgba(255,255,255,.75), rgba(255,255,255,.55));
	bottom: 0;
	content: "";
	height: 100%;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
	width: 100%;
}

.site__login .login__right {
	background: #fff;
	box-shadow: 0 0 50px 0 rgba(4,93,134,.25);
	flex-grow: 1;
	padding: 40px;
	position: relative;
	z-index: 1;
}

.site__login .login__logo {
	position: relative;
	z-index: 1;
}

.site__login .login__logo img,
.site__login .login__logo svg {
	display: block;
	height: 30px;
	width: auto;
}

.site__login .login__form .form-group {
	margin-bottom: 20px;
}

.site__login .login__form .form-group:last-child {
	margin-bottom: 0;
}

.site__login .login__form .form-group label {
	display: none;
}

.site__login .login__form .form-group .form-control {
	background-color: #fff;
	border: 0;
	border-bottom: 2px solid #eee;
	border-radius: 0;
	padding-left: 0;
	padding-right: 0;
} */

.site__wrapper {
	display: grid;
	grid-template-areas: "icon topbar" "leftbar main";
	grid-template-columns: 100px 1fr;
	grid-template-rows: 60px 1fr;
	height: 100vh;
	overflow: hidden;
	/*min-height: 100vh;*/
}

.site__wrapper .wrapper__icon {
	background: #fff;
	grid-area: icon;
	position: relative;
	z-index: 2;
}

.site__wrapper .wrapper__topbar {
	background: #fff;
	box-shadow: 0 0 30px 0 rgba(0,0,0,.05);
	display: flex;
	grid-area: topbar;
	position: relative;
	z-index: 1;
}

.site__wrapper .wrapper__leftbar {
	align-items: center;
	background: linear-gradient(to bottom, var(--main-color), var(--darken-color));
	display: flex;
	grid-area: leftbar;
	justify-content: center;
}

.site__wrapper .wrapper__main {
	grid-area: main;
	max-height: 100%;
	overflow-y: auto;
	padding: 50px;
}

.site__logo {
	background: var(--main-color);
	box-shadow: inset 0 0 0 1000px rgba(0,0,0,.05);
	height: 100%;
}

.site__logo a {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: center;
	width: 100%;
}

.site__logo img,
.site__logo svg {
	display: block;
	height: 20px;
	width: auto;
}

.site__logo svg * {
	fill: #fff;
}

.site__search {
	flex-grow: 1;
}

.site__search form {
	display: flex;
	height: 100%;
	min-width: 50%;
	padding: 0 25px;
}

.site__search form i {
	align-items: center;
	color: #ccc;
	display: flex;
}

.site__search form input {
	background: transparent;
	border: 0;
	flex-grow: 1;
	font-size: 14px;
	padding: 0 15px;
}

.site__period,
.site__logout {
	height: 100%;
}

.site__period {
	align-items: center;
	border-left: 1px solid #f7f8f9;
	display: flex;
	margin-left: auto;
}

.site__period form {
	align-items: center;
	display: flex;
	padding: 0 25px;
}

.site__period form i {
	color: #ddd;
	font-size: 22px;
	margin: 0 5px 0 0;
}

.site__period form select {
	appearance: none;
	background: transparent;
	border: 0;
	color: #333;
	display: block;
	font-size: 14.5px;
	height: 100%;
	margin: 0 0 0 8px;
	padding: 0 20px 0 0;
	text-align-last: right;
	-moz-appearance: none;
	-ms-appearance: none;
	-webkit-appearance: none;
}

.site__period .select__wrapper:after {
	font-size: 18px;
	right: 0;
}

.site__logout {
	border-left: 1px solid #f7f8f9;
}

.site__logout a {
	align-items: center;
	color: #999;
	display: flex;
	font-size: 20px;
	height: 100%;
	padding: 0 20px;
	transition: color .3s;
}

.site__logout a:hover {
	color: #333;
	transition: color .3s;
}

.site__menu {
	width: 100%;
}

.site__menu > ul {
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
}

.site__menu > ul > li {
	margin: 20px 0;
}

.site__menu > ul > li > a {
	color: #fff;
	display: block;
	font-size: 36px;
	position: relative;
	text-align: center;
	transition: opacity .3s;
}

.site__menu > ul > li:hover > a,
.site__menu > ul > li.current-menu-item > a {
	opacity: .5;
	transition: opacity .3s;
}

.site__menu > ul > li.current-menu-item > a {
	pointer-events: none;
}

.site__menu > ul > li.current-menu-item > a:before {
	background: var(--lighten-color);
	bottom: 0;
	border-radius: 0 6px 6px 0;
	content: "";
	height: 100%;
	left: 0;
	position: absolute;
	top: 0;
	width: 6px;
}

/* Adicionado em 05-09-2023 */

.row__grid {
	display: grid;
	grid-gap: 30px;
	grid-template-columns: repeat(6, 1fr);
	grid-template-rows: auto 1fr;
	height: 100%;
}

.block__values.values__in {
	grid-column: 1 / 3;
}

.block__values.values__out {
	grid-column: 3 / 5;
}

.block__values.values__balance {
	grid-column: 5 / 7;
}

.list__values {
	border-radius: 5px;
	box-shadow: 3px 3px 10px 0 rgba(0,0,0,.05);
	height: 100%;
	overflow: hidden;
}

.list__values.list__in {
	grid-column: 1 / 4;
}

.list__values.list__out {
	grid-column: 4 / 7;
}

.row__grid__internal__list {
	display: grid;
	grid-gap: 30px;
	grid-template-rows: 1fr auto;
	height: 100%;
}

.row__grid__internal__list .internal__list {
	height: 100%;
	overflow: auto;
}

.row__grid__internal__list .internal__pagination {

}

/* Adicionado em 05-09-2023 */

.main__block,
.money__block {
	background: #fff;
	border-radius: 5px;
	box-shadow: 3px 3px 10px 0 rgba(0,0,0,.05);
	display: flex;
	flex-direction: column;
/*	height: calc(100% - 30px);*/
/*	margin-bottom: 30px;*/
}

.main__block.mb-0,
.money__block.mb-0 {
	height: 100%;
	margin-bottom: 0;
}

body.home .site__wrapper .wrapper__main {
/*	padding: 50px 50px 20px;*/
	padding: 50px;
}

body.home .main__block.in,
body.home .main__block.out {
/*	max-height: 470px;*/
/*	overflow: hidden;*/
	height: 100%;
}

body.home .main__block.in .block__main,
body.home .main__block.out .block__main {
	overflow-y: auto;
}

.main__block .block__header {
	align-items: center;
	border-bottom: 1px solid #f5f5f5;
	display: flex;
	padding: 20px 25px;
}

.main__block .block__header .header__title {
	font-size: 15px;
	font-weight: 900;
	line-height: 1.3;
	text-transform: uppercase;
}

.main__block.in .block__header .header__title {
	color: #090;
}

.main__block.out .block__header .header__title {
	color: #900;
}

.main__block .block__header .header__year {
	margin-left: auto;
}

.main__block .block__header .header__year select {
	appearance: none;
	border: 0;
	color: #333;
	display: block;
	font-size: 14.5px;
	font-weight: 600;
	padding: 0 20px 0 0;
	-moz-appearance: none;
	-ms-appearance: none;
	-webkit-appearance: none;
}

.main__block .block__header .header__year .select__wrapper:after {
	right: 0;
}

.main__block .block__main {
	flex-grow: 1;
	padding: 25px;
	position: relative;
}

#myChart {
	position: relative;
}

.money__block a {
	align-items: center;
	display: flex;
	padding: 25px 20px 20px;
	position: relative;
}

.money__block .block__icon {
	align-items: center;
	background: linear-gradient(135deg, var(--lighten-color), var(--darken-color));
	border-radius: 5px;
	color: #fff;
	display: flex;
	flex-shrink: 0;
	font-size: 32px;
	height: 80px;
	justify-content: center;
	margin-top: -35px;
	text-align: center;
	width: 80px;
}

.money__block.in .block__icon {
	background: linear-gradient(135deg, #0c0, #070);
}

.money__block.out .block__icon {
	background: linear-gradient(135deg, #c00, #700);
}

.money__block .block__content {
	flex-grow: 1;
	padding-left: 25px;
}

.money__block .block__content .content__title {
	color: #999;
	font-size: 11px;
	font-weight: 700;
	line-height: 1.4;
	text-transform: uppercase;
}

.money__block .block__content .content__value {
	align-items: center;
	color: #333;
	display: flex;
	font-size: 28px;
	font-weight: 900;
	line-height: 1.2;
}

.money__block.positive .block__content .content__value {
	color: #00b300;
}

.money__block.negative .block__content .content__value {
	color: #b30000;
}

.money__block .block__content .content__value small {
	color: #333;
	font-size: 16px;
	margin-right: 8px;
	opacity: .65;
}

.money__block .block__content .content__value span {
	background: #f5f5f5;
	border-radius: 3px;
	color: #999;
	font-size: 12px;
	margin: auto 0 0 auto;
	padding: 5px 10px;
}

.money__block .block__content .content__add {
	align-items: center;
	border-radius: 3px;
	color: #fff;
	display: flex;
	font-size: 10px;
	height: 20px;
	justify-content: center;
	position: absolute;
	right: 10px;
	text-align: center;
	top: -5px;
	width: 20px;
}

.money__block.in .block__content .content__add {
	background: linear-gradient(135deg, #0c0, #070);
}

.money__block.out .block__content .content__add {
	background: linear-gradient(135deg, #c00, #700);
}

.block__pagination {
	background: #fff;
	border-radius: 5px;
	box-shadow: 3px 3px 10px 0 rgba(0,0,0,.05);
	display: inline-flex;
	justify-content: center;
	margin: 0 auto;
}

.block__pagination a,
.block__pagination span {
	align-items: center;
	border-left: 1px solid #f7f8f9;
	color: #666;
	display: flex;
	font-size: 14px;
	justify-content: center;
	padding: 12px 15px;
	text-align: center;
}

.block__pagination a:first-child,
.block__pagination span:first-child {
	border-left: 0;
}

.block__pagination span {
	font-weight: 700;
	color: #333;
}

.block__pagination a:hover {
	color: var(--main-color);
}

.table-responsive {
	height: 100%;
}

.table {
	margin-bottom: 0;
	overflow: auto;
	table-layout: auto;
	white-space: nowrap;
	width: 100%;
}

.table th {
	background: rgba(0,0,0,.015);
	border-bottom-color: #f5f5f5;
	border-top: 0;
	color: #999;
	font-size: 10.5px;
	padding: 10px 25px;
	text-transform: uppercase;
	vertical-align: middle;
}

.table td {
	color: #333;
	font-size: 12.5px;
	font-weight: 400;
	padding: 10px 25px;
	vertical-align: middle;
}

.table td,
.table th {
	border-color: #f5f5f5;
}

.table .today td {
	background: var(--lighten-color);
	box-shadow: inset 0 0 0 1000px rgba(255,255,255,.85);
}

.table .closed td {
	color: #999;
}

.table .edit {
	color: #999;
	font-size: 16px;
	margin: 0 3px;
	transition: color .3s;
}

.table .edit:first-child {
	margin-left: 0;
}

.table .edit:last-child {
	margin-right: 0;
}

.table .edit:hover {
	color: #000;
	transition: color .3s;
}

.modal-backdrop {
	background: #000;
}

.modal-backdrop.show {
	opacity: .8;
}

.modal-content {
	border: 0;
	box-shadow: 0 10px 50px 0 rgba(0,0,0,.5);
}

.modal-header {
	border-bottom-color: #f5f5f5;
	padding: 20px 25px;
}

.modal-header .modal-title {
	color: #666;
	font-size: 16px;
	font-weight: 700;
}

.modal-header .close {
	cursor: pointer;
	opacity: .25;
}

.modal-body {
	padding: 20px 25px;
}

.modal-footer {
	background: rgba(0,0,0,.025);
	border-top-color: #f5f5f5;
}

.block__form .form-group {
	margin-bottom: 30px;
}

#modalExclude .block__form .form-group {
	margin-bottom: 15px;
}

.block__form .form-group:last-child,
#modalExclude .block__form .form-group:last-child {
	margin-bottom: 10px;
}

.block__form .form-group label {
	color: #999;
	font-size: 12px;
	font-weight: 700;
	text-transform: uppercase;
}

.block__form .form-group .form-control {
	background-color: #f5f5f5;
	border-color: #ddd;
	box-shadow: inherit;
	color: #333;
	font-size: 13.5px;
	height: 50px;
	padding: 12px 15px;
}

.block__form .form-group select.form-control {
	appearance: none;
	padding-right: 45px;
	-ms-appearance: none;
	-moz-appearance: none;
	-webkit-appearance: none;
}

.block__form .form-group .form-control[readonly] {
	background-color: transparent !important;
	border: 0 !important;
	height: inherit !important;
	padding: 0 !important;
}

.block__form .form-group button {
	align-items: center;
	background: var(--main-color);
	border: 0;
	border-radius: 4px;
	box-shadow: inset 0 -3px 0 0 rgba(0,0,0,.1);
	color: #fff;
	display: flex;
	font-size: 14px;
	font-weight: 700;
	height: 50px;
	justify-content: center;
	padding: 0 15px;
	text-align: center;
	text-transform: uppercase;
	transition: background .3s;
	width: 100%;
}

.block__form .form-group button:hover {
	background: var(--darken-color);
	transition: background .3s;
}

.block__form .form-group button:disabled {
	cursor: default;
	filter: grayscale(100%);
	font-size: 0;
	pointer-events: none;
}

.block__form .form-group button:disabled:before {
	content: "Aguarde...";
	display: block;
	font-size: 14px;
}

.select__wrapper {
	position: relative;
}

.select__wrapper:after {
	color: #999;
	content: "\eb3a";
	font-family: "unicons-line";
	font-size: 22px;
	pointer-events: none;
	position: absolute;
	right: 15px;
	top: 50%;
	transform: translateY(-50%);
}

#modalExclude .select__wrapper:after {
	display: none;
}

/* Media Queries */

/* Desktops */

@media (max-width: 1199px) {

	.site__login .login__column {
		padding: 90px;
	}

}

/* Tablets */

@media (max-width: 991px) {

	.site__login .login__column {
		padding: 50px;
	}

	.site__login .login__logo img,
	.site__login .login__logo svg {
		height: 35px;
	}

	.site__login .login__title {
		font-size: 28px;
		margin: 45px 0 0;
	}

	.site__login .login__description br {
		display: none;
	}

	.row__grid {
		grid-template-rows: repeat(2, auto) repeat(2, 1fr);
	}

	.block__values.values__in {
		grid-column: 1 / 4;
	}

	.block__values.values__out {
		grid-column: 4 / 7;
	}

	.block__values.values__balance {
		grid-column: 1 / 7;
	}

	.list__values.list__in,
	.list__values.list__out {
		grid-column: 1 / 7;
	}

}

/* Smartphones - Landscape */

@media (max-width: 767px) {

	.btn__quick {
		display: none;
	}

	.site__login {
		box-shadow: inherit;
	}

	.site__login .container {
		flex-direction: column;
		height: inherit;
	}

	.site__login .login__column {
		height: inherit;
		flex: 0 0 100%;
		padding: 35px 0;
	}

	.site__login .login__left {
		align-items: center;
		box-shadow: inherit;
		text-align: center;
	}

	.site__login .login__right {
		padding-top: 0;
	}

	.site__login .login__description {
		word-break: normal;
	}

	.site__login .login__form .form-group.mb-0 {
		text-align: center;
	}

	.site__login .login__form .form-group button {
		margin: auto;
	}

	/*.site__login .container {
		flex-direction: column;
	}

	.site__login .login__column {
		padding: 30px;
	}

	.site__login .login__left {
		width: 100%;
	}

	.site__login .login__logo img,
	.site__login .login__logo svg {
		margin: auto;
	}*/

	.site__wrapper {
		display: block;
		grid-template-areas: "icon topbar" "main main";
		height: inherit !important;
		overflow: inherit !important;
	}

	.site__wrapper .wrapper__icon {
		border-bottom: 1px solid #f7f8f9;
		/*padding: 15px;*/
		left: 0;
		position: fixed;
		right: 0;
		top: 0;
	}

	.site__logo a {
		padding: 15px;
	}

	.site__wrapper .wrapper__topbar {
		height: 50px;
		left: 0;
		position: fixed;
		top: 51px;
		right: 0;
	}

	.site__wrapper .wrapper__leftbar {
		bottom: 0;
		left: 0;
		position: fixed;
		right: 0;
		z-index: 9;
	}

	.site__wrapper .wrapper__main,
	body.home .site__wrapper .wrapper__main {
/*		padding: 40px 40px 175px;*/
		/*padding: 40px 40px 210px;*/
		padding: 40px 40px 110px;
		margin-top: 101px;
	}

	.site__wrapper .wrapper__main {
		max-height: inherit !important;
		overflow: inherit !important;
	}

	.site__menu > ul {
		align-items: center;
		display: flex;
		justify-content: space-between;
		padding: 0 15px;
	}

	.site__menu > ul > li {
		margin: 0;
	}

	.site__menu > ul > li > a {
		font-size: 26px;
		padding: 15px;
	}

	.site__menu > ul > li.current-menu-item > a:before {
		background: var(--lighten-color);
		border-radius: 6px 6px 0 0;
		height: 6px;
		right: 0;
		top: inherit;
		width: 100%;
	}

	.site__search {
		display: none;
	}

	.site__period {
		border-left: 0;
		margin-right: auto;
		padding: 0;
	}

	/* Adicionado em 05-09-2023 */

	.row__grid {
		display: flex;
		flex-direction: column;
		gap: 30px;
	}

	/* Adicionado em 05-09-2023 */

}

/* Smartphones - Portrait */

@media (max-width: 567px) {

	.site__wrapper .wrapper__main,
	body.home .site__wrapper .wrapper__main {
/*		padding: 30px 15px 160px;*/
		/*padding: 30px 15px 190px;*/
		padding: 30px 15px 90px;
	}

	.block__pagination a,
	.block__pagination span {
		display: none;
	}

	.block__pagination .prev,
	.block__pagination span,
	.block__pagination .next {
		display: flex;
	}

	.money__block a {
		padding: 20px 15px 15px;
	}

	.money__block .block__icon {
		height: 65px;
		margin-top: -45px;
		width: 65px;
	}

	.money__block .block__content {
		padding-left: 20px;
	}

	.money__block .block__content .content__value {
		font-size: 24px;
	}

	.row__grid {
		gap: 20px;
	}

}